﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Persistence.Storage;
using Telerik.Windows.Persistence.Services;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for ReferringInfos.xaml
	/// </summary>
	public partial class ReferringInfos : RadWindow
	{
		#region Constructors.

		//static ReferringInfos()
		//{

		//    StyleManager.ApplicationTheme = new Office_BlueTheme();

		//    //LocalizationManager.Manager = new CustomLocalizationManager();

		//}
		public ReferringInfos()
		{
			StyleManager.ApplicationTheme = new Office_BlueTheme();
			InitializeComponent();

			ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadGridView), new GridViewCustomPropertyProvider());
			//mDataSource = pDataSource;

			//mPersistence = pPersistence;

			//this.ReferringName = pReferringName;

			//mPhoneNumbers = new List<PhoneNumber>();

			//fillPhoneNumbers(pPhoneList);

			mPhoneNumbers = new List<PhoneNumber>();
			for (int i = 0; i < 5; i++)
			{
				mPhoneNumbers.Add(new PhoneNumber { Number = "111222" + i.ToString(), TypeCode = "088" + i.ToString() });
			}

			radGridView.ItemsSource = mPhoneNumbers;

			//Header = mDataSource.BuildFormName(LocGeneral.GetControlText("ReferringInfos"));

		}

		#endregion

		#region Dependency properties.

		public static readonly DependencyProperty ReferringNameProperty = DependencyProperty.Register("ReferringName", typeof(string), typeof(ReferringInfos));

		#endregion

		#region Public properties.

		public string ReferringName
		{

			get
			{

				return (string)GetValue(ReferringNameProperty);

			}

			set
			{

				SetValue(ReferringNameProperty, value);

			}

		}

		#endregion

		#region Private methods.

		//private void fillPhoneNumbers(ShortPhoneNumber[] pPhoneList)
		//{

			//foreach (ShortPhoneNumber item in pPhoneList)
			//{

			//    PhoneNumber phone = new PhoneNumber();

			//    phone.Number = item.PhoneNumber;

			//    phone.TypeCode = item.TypeCode;

			//    mPhoneNumbers.Add(phone);

			//}

		//}

		#endregion

		#region Private events handler.

		/// <summary>

		/// Change dialog resources.

		/// </summary>

		/// <param name="sender"></param>

		/// <param name="e"></param>

		private void ReplaceLanguageResources(object sender, EventArgs e)
		{

			//Localisation.SetUILanguage(this, "ReferringInfos", mDataSource);

		}

		/// <summary>

		/// Dialog is closing.

		/// </summary>

		/// <param name="sender"></param>

		/// <param name="e"></param>

		private void RadWindow_PreviewClosed(object sender, WindowPreviewClosedEventArgs e)
		{

			//if (mPersistence)
			//{

				string errMsg;
				IsolatedStorageProvider isoProvider = new IsolatedStorageProvider();
				isoProvider.SaveToStorage();

				//PersistenceStorage.Persist(PersistenceStorage.PersistenceAction.Save, out errMsg);

			//}

		}

		/// <summary>

		/// Dialog is loaded.

		/// </summary>

		/// <param name="sender"></param>

		/// <param name="e"></param>

		private void RadWindow_Loaded(object sender, RoutedEventArgs e)
		{

			//if (mPersistence)
			//{

				string errMsg;
				IsolatedStorageProvider isoProvider = new IsolatedStorageProvider();
				isoProvider.LoadFromStorage();

				//PersistenceStorage.Persist(PersistenceStorage.PersistenceAction.Load, out errMsg);

			//}

		}

		/// <summary>

		/// Close request.

		/// </summary>

		/// <param name="sender"></param>

		/// <param name="e"></param>

		private void btnClose_Click(object sender, RoutedEventArgs e)
		{

			Close();

		}

		#endregion

		#region Private fields.

		//private NeuronDataSource mDataSource;

		private Boolean mPersistence;

		private List<PhoneNumber> mPhoneNumbers;

		#endregion

	}

	/// <summary>

	/// Class to hold a list of phone numbers.

	/// </summary>

	public class PhoneNumber
	{

		public string Number { get; set; }

		public string TypeCode { get; set; }

	}

}
